import { Options } from '../util';
declare type BooleanOptions<T extends boolean> = Options<T> & {
    orElseGetTrue: () => T | true;
    orElseGetFalse: () => T | false;
};
declare const parseAsBoolean: (value: unknown) => Options<boolean> & {
    orElseGetTrue: () => boolean;
    orElseGetFalse: () => boolean;
} & {
    /**
     * @exact the exact value you expect the parsed value to be
     *
     * ```ts
     * Example:
     * const bool: unknown = true
     * const val = parseAsBoolean(bool).exactlyAs(true).orElseGetUndefined()
     * // the type of val in this case would be "true | undefined" instead of "boolean | undefined"
     * ```
     *
     * @returns the BooleanOptions objects
     * **/
    exactlyAs: <T extends boolean>(t: T) => BooleanOptions<T>;
};
export default parseAsBoolean;
//# sourceMappingURL=parseAsBoolean.d.ts.map