import { Options } from '../util';
declare type StringOptions<T extends string> = Options<T> & {
    orElseGetEmptyString: () => '' | T;
};
declare const parseAsString: (value: unknown) => Options<string> & {
    orElseGetEmptyString: () => string;
} & {
    /**
     * @exact the exact value you expect the parsed value to be
     *
     * ```ts
     * Example:
     * const name: unknown = 'name'
     * const str = parseAsString(name).exactlyAs('name').orElseGetUndefined()
     * // the type of str in this case would be "'name' | undefined" instead of "string | undefined"
     * ```
     *
     * @returns the StringOptions objects
     * **/
    exactlyAs: <T extends string>(t: T) => StringOptions<T>;
};
export default parseAsString;
//# sourceMappingURL=parseAsString.d.ts.map